<?php

  if( $Debug == 1 ){
    echo "View Promos Usuario";
  }

  $FechaHoy       = date('Y-m-d H:i:s');

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $pedido_id      = $decoded['pedido_id'];
  $fechahoy       = date('Y-m-d');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $usr_id."\n";
    echo $tie_id."\n";

  }

  $WHERE = "
    WHERE
      ped.fk_usuario_app = '$usr_id'
      AND ped.id = '$pedido_id'
  ";

  //Pedido
  $Query = "
    SELECT
      ped.id,
      ped.fecha, ped.nombre, ped.descripcion,
      ped.cantidad, ped.revisado, ped.entregado,
      ped.cancelado, ped.fk_tienda,
      ped.precio
    FROM promociones_pedidos ped
    $WHERE
  ";
  $Result = mysqli_query($mysqli, $Query);
  $Ped = mysqli_fetch_assoc($Result);

  if( $Ped[id] ){

    $FechaPedido =  date('Y-m-d', strtotime($Ped[fecha]));

    //Tienda
    $Query = "
      SELECT
        tie.id, tie.nombre
      FROM tiendas tie
      WHERE
        tie.Id = '$Ped[fk_tienda]'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Tienda = mysqli_fetch_assoc($Result);

    //Articulos
    $Query = "
      SELECT
        ped.id, ped.cantidad,
        art.nombre, art.descripcion,
        emp.empaque, artemp.cantidad_articulo
      FROM promociones_pedidos_articulos ped
      LEFT JOIN articulos art ON art.id = ped.fk_articulo
      LEFT JOIN articulos_empaques artemp ON artemp.id = ped.fk_empaque
      LEFT JOIN cat_empaques emp ON emp.id = artemp.fk_empaque
      WHERE
        ped.fk_promocion_pedido = '$Ped[id]'
    ";
    $Arts = $mysqli->query($Query);
    mysqli_data_seek($Arts, 0);
    if( $Arts->num_rows >= 1 ){
      while($Art = mysqli_fetch_array($Arts)) {

        $Articulos[] = array(
          'nombre'                      => $Art[nombre],
          'descripcion'                 => $Art[descripcion],
          'cantidad_articulo_empaque'   => $Art[cantidad_articulo],
          'empaque'                     => $Art[empaque],
          'cantidad'                    => $Art[cantidad]
        );

      }
    }
    //End Articulos

    //Precio
    $Precio = $Ped[cantidad] * $Ped[precio];
    $Precio = number_format($Precio,2,'.','');

    $Data = array(
      'id'              => $Ped[id],
      'fecha'           => $FechaPedido,
      'promo'           => $Ped[nombre],
      'cantidad'        => $Ped[cantidad],
      'precio'          => $Ped[precio],
      'precio_total'    => $Precio,
      'entregado'       => $Ped[entregado],
      'cancelado'       => $Ped[cancelado],
      'tienda_id'       => $Tienda[id],
      'tienda'          => $Tienda[nombre],
      'articulos'       => $Articulos
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{

    //Error ua-1 ( No se guardo en la BD )
    $Query = "
      SELECT
        err.Id, err.error, err.msn
      FROM api_errores err
      WHERE err.error = 'pp-5'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Error = mysqli_fetch_assoc($Result);

    $Data = array(
      'action'      => 'error',
      'error'       => $Error[error],
      'error_msn'   => $Error[msn]
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }


?>
